Class | Locale::Info::Language
In: | lib/locale/info/language.rb
Parent: | Object

This class contains all the of the ISO information for the ISO 639-3 languages. This class is immutable once constructed.

### Methods

ancient? constructed? extinct? historical? individual? iso_language? living? macro? new special? special_type? to_s

### Attributes

name | [R] |
scope | [R] |
three_code | [R] |
two_code | [R] |
type | [R] |

### Public Class methods

new(two_code, three_code, scope, type, name)

Constructs a new Language instance.

- code The 2 or 3 digit ISO 639-3 language code.
- scope A single character that defines the ISO scope of the language - `(I)ndividual`, `(M)acrolanguage`, or `(S)pecial`.
- type A single character that defines the ISO type of the language - `(A)ncient`, `(C)onstructed`, `(E)xtinct`, `(H)istorical`, `(L)iving`, or `(S)pecial`.
- name The name of the language.

### Public Instance methods

ancient?()

Returns true if the language is an ancient language according to the ISO 639-3 data.

constructed?()

Returns true if the language is a constructed language according to the ISO 639-3 data.

extinct?()

Returns true if the language is an extinct language according to the ISO 639-3 data.

historical?()

Returns true if the language is an historical language according to the ISO 639-3 data.

individual?()

Returns true if the language is an individual language according to the ISO 639-3 data.

iso_language?()

Returns this object is valid as ISO 639 data.

living?()

Returns true if the language is a living language according to the ISO 639-3 data.

macro?()

Returns true if the language is a macro language according to the ISO 639-3 data.

special?()

Returns true if the language is a special language according to the ISO 639-3 data.

special_type?()

Returns true if the language is a special type language according to the ISO 639-3 data.

to_s()

Returns the two or three code.

[Validate]